package com.ruoyi.system.domain;

import java.util.Date;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.xss.Xss;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

public class Value extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long valueId;

    private String title;

    private String image;

    private String summary;

    private String content;

    private Date publishTime;

    private String publishBy;

    private String status;

    public Long getValueId()
    {
        return valueId;
    }

    public void setValueId(Long valueId)
    {
        this.valueId = valueId;
    }

    public void setTitle(String title)
    {
        this.title = title;
    }

    @Xss(message = "标题不能包含脚本字符")
    @NotBlank(message = "标题不能为空")
    @Size(min = 0, max = 200, message = "标题不能超过200个字符")
    public String getTitle()
    {
        return title;
    }

    public void setImage(String image)
    {
        this.image = image;
    }

    public String getImage()
    {
        return image;
    }

    public void setSummary(String summary)
    {
        this.summary = summary;
    }

    public String getSummary()
    {
        return summary;
    }

    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }

    public void setPublishTime(Date publishTime)
    {
        this.publishTime = publishTime;
    }

    public Date getPublishTime()
    {
        return publishTime;
    }

    public void setPublishBy(String publishBy)
    {
        this.publishBy = publishBy;
    }

    public String getPublishBy()
    {
        return publishBy;
    }

    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("valueId", getValueId())
            .append("title", getTitle())
            .append("image", getImage())
            .append("summary", getSummary())
            .append("content", getContent())
            .append("publishTime", getPublishTime())
            .append("publishBy", getPublishBy())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
